#include<bits/stdc++.h>
using namespace std;

int main(){
    int t;
    cin >> t;
    while(t--){
        int n;
        cin >> n;
        int minusevi1 = 0;
        int plusevi1 = 0;
        for(int i = 0; i < n; i++){
            int a;
            cin >> a;
            if(a < 0){
                minusevi1++;
            }
            else{
                plusevi1++;
            }
        }
        int minusevi2 = 0;
        int plusevi2 = 0;
        for(int i = 0; i < n; i++){
            int a;
            cin >> a;
            if(a < 0){
                minusevi2++;
            }
            else{
                plusevi2++;
            }
        }
        if(abs(minusevi1-minusevi2) % 2 == 0){
            cout << "DA" << '\n';
        }
        else{
            cout << "NE" << '\n';
        }
    }
}